## org.eclipse.datatools.connectivity.sqm.loader
Class JDBCUserDefinedTypeLoader.DistinctTypeFactory

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.loader.JDBCUserDefinedTypeLoader.StructTypeFactory
          org.eclipse.datatools.connectivity.sqm.loader.JDBCUserDefinedTypeLoader.DistinctTypeFactory

All Implemented Interfaces:
  JDBCUserDefinedTypeLoader.IUDTFactory

Enclosing class:
  JDBCUserDefinedTypeLoader

public static class JDBCUserDefinedTypeLoader.DistinctTypeFactory
extends JDBCUserDefinedTypeLoader.StructTypeFactory

Base factory implementation for distinct UDTs.

Constructor Summary
`JDBCUserDefinedTypeLoader.DistinctTypeFactory(DatabaseDefinition databaseDefinition)`

Method Summary
`EClass` `getUDTEClass()`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCUserDefinedTypeLoader.StructTypeFactory
`createUDT`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCUserDefinedTypeLoader.DistinctTypeFactory

    public JDBCUserDefinedTypeLoader.DistinctTypeFactory(DatabaseDefinition databaseDefinition)

Method Detail

### getUDTEClass

    public EClass getUDTEClass()

  Specified by:
    `getUDTEClass` in interface `JDBCUserDefinedTypeLoader.IUDTFactory`
  Overrides:
    `getUDTEClass` in class `JDBCUserDefinedTypeLoader.StructTypeFactory`
  Returns:
    SQLDataTypesPackage.eINSTANCE.getDistinctUserDefinedType()
  See Also:
    `JDBCUserDefinedTypeLoader.StructTypeFactory.getUDTEClass()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.